#include <FileConstants.au3>
#include <MsgBoxConstants.au3>
#include <WinAPIFiles.au3>

Example()

Func Example()
	; Erstellen Sie eine Konstante des Dateipfades, der zum Lesen/Schreiben verwendet wird.
	Local Const $sFilePath = _WinAPI_GetTempFileName(@TempDir)

	; Öffnen Sie die Datei zum Schreiben (überschreiben Sie die Datei) und speichern Sie das Handle in einer Variablen.
	Local $hFileOpen = FileOpen($sFilePath, $FO_OVERWRITE)
	If $hFileOpen = -1 Then
		MsgBox($MB_SYSTEMMODAL, "", "Beim Schreiben der temporären Datei ist ein Fehler aufgetreten.")
		Return False
	EndIf

	; Schreiben Sie Daten in die Datei mit dem von FileOpen zurückgegebenen Handle und setzen Sie das Dateiende.
	FileWrite($hFileOpen, "ABCDEF")
	FileSetEnd($hFileOpen)

	; Zeigen Sie Dateigröße und Inhalt an.
	MsgBox($MB_SYSTEMMODAL, "", "Size: " & FileGetSize($sFilePath) & @CRLF & "Data: " & @CRLF & FileRead($sFilePath))

	; Erweitern Sie die Größe auf 9 Bytes und schreiben Sie keine weiteren Daten.
	FileSetPos($hFileOpen, 9, $FILE_BEGIN)
	FileSetEnd($hFileOpen)

	; Zeigen Sie Dateigröße und Inhalt an.
	MsgBox($MB_SYSTEMMODAL, "", "Size: " & FileGetSize($sFilePath) & @CRLF & "Data: " & @CRLF & FileRead($sFilePath))

	; Verschieben Sie die Position hinter ABCDEF, im Bsp. 6 Bytes und schreiben Sie zusätzliche Daten, welche die Datei auf 12 Bytes vergrößern.
	FileSetPos($hFileOpen, 6, $FILE_BEGIN)
	FileWrite($hFileOpen, "HIJKLM")
	FileSetEnd($hFileOpen) ; Setzen Sie das Dateiende.

	; Zeigen Sie Dateigröße und Inhalt an.
	MsgBox($MB_SYSTEMMODAL, "", "Size: " & FileGetSize($sFilePath) & @CRLF & "Data: " & @CRLF & FileRead($sFilePath))

	; Kürzen Sie die Datei auf 9 Bytes.
	FileSetPos($hFileOpen, 9, $FILE_BEGIN)
	FileSetEnd($hFileOpen) ; Setzen Sie das Dateiende.

	; Zeigen Sie Dateigröße und Inhalt an.
	MsgBox($MB_SYSTEMMODAL, "", "Size: " & FileGetSize($sFilePath) & @CRLF & "Data: " & @CRLF & FileRead($sFilePath))

	; Schließen Sie das von FileOpen zurückgegebene Handle.
	FileClose($hFileOpen)

	; Löschen Sie die temporäre Datei.
	FileDelete($sFilePath)
EndFunc   ;==>Example
